PAM_SM_SETCRED(3)

NAME
pam_sm_setcred - service module implementation for pam_setcred

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/pam_modules.h>
int
pam_sm_setcred(pam_handle_t *pamh, int flags, int argc, const char **argv);

DESCRIPTION
The pam_sm_setcred() function is the service module's implementation of the pam_setcred(3) API function.

RETURN VALUES
The pam_sm_setcred() function returns one of the following values:

[PAM_ABORT]
    General failure.

[PAM_BUF_ERR]
    Memory buffer error.

[PAM_CONV_ERR]
    Conversation failure.

[PAM_CRED_ERR]
    Failed to set user credentials.

[PAM_CRED_EXPIRED]
    User credentials have expired.

[PAM_CRED_UNAVAIL]
    Failed to retrieve user credentials.

[PAM_IGNORE]
    Ignore this module.

[PAM_PERM_DENIED]
    Permission denied.

[PAM_SERVICE_ERR]
    Error in service module.

[PAM_SYSTEM_ERR]
    System error.

[PAM_USER_UNKNOWN]
    Unknown user.

SEE ALSO
pam(3), pam_setcred(3), pam_strerror(3)

STANDARDS
X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

AUTHORS
The pam_sm_setcred() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.